API ReferenceGeneratedAgents

List your agent's runs

Active root runs by default — it answers *what is my agent doing right now* without needing to already hold a `runUid`.

GET
/{appUid}/agent/runs

Authorization

bearerAuth
AuthorizationBearer <token>

Authorization for API

In: header

Path Parameters

appUid*string

Your app's unique id. Find it in the console under the app's Settings, or in the URL of any app page.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/497f6eca-6276-4993-bfeb-53cbbbba6f08/agent/runs"
{  "ok": true,  "runs": [    {      "runUid": "string",      "status": "string",      "resumable": true,      "message": "string",      "pendingSteps": [        {          "stepIndex": 0,          "tool": "string",          "riskLevel": "string",          "input": {}        }      ],      "steps": [        {          "stepIndex": 0,          "tool": "string",          "status": "string",          "output": {},          "detail": "string"        }      ],      "actions": {        "poll": "string",        "dashboard": "string"      }    }  ]}